My Project

- Main Page
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
telnet_event_t::environ_t Struct Reference

`#include <libtelnet.h>`

## Data Fields
enum telnet_event_type_t | _type
const struct telnet_environ_t * | values
size_t | size
unsigned char | cmd

## Detailed Description

ENVIRON/NEW-ENVIRON event

## Field Documentation

enum telnet_event_type_t telnet_event_t::environ_t::_type

alias for type

unsigned char telnet_event_t::environ_t::cmd

SEND, IS, or INFO

size_t telnet_event_t::environ_t::size

number of elements in values

const struct telnet_environ_t* telnet_event_t::environ_t::values

array of variable values

The documentation for this struct was generated from the following file:

- libtelnet.h